Loading...
Searching...
No Matches
Opm::Anisotropic::InnerProduct< GridInterface, RockInterface > Struct Template Reference

The inner product template. More...

`#include <SimulatorTraits.hpp>`

Inheritance diagram for Opm::Anisotropic::InnerProduct< GridInterface, RockInterface >:

## Additional Inherited Members

Public Types inherited from Opm::MimeticIPAnisoRelpermEvaluator< GridInterface, RockInterface >
typedef GridInterface::CellIterator | CellIter
| The iterator type for iterating over grid cells.
typedef CellIter::Scalar | Scalar
| The element type of the matrix representation of the mimetic inner product.
Public Member Functions inherited from Opm::MimeticIPAnisoRelpermEvaluator< GridInterface, RockInterface >
| MimeticIPAnisoRelpermEvaluator ()
| Default constructor.
| MimeticIPAnisoRelpermEvaluator (const int max_nf)
| Constructor.
void | init (const int max_nf)
| Initialization routine.
template<class Vector>
void | reserveMatrices (const Vector &sz)
| Reserve internal space for storing values of (static) IP contributions for given set of cells.
void | buildStaticContrib (const CellIter &c, const RockInterface &r, const typename CellIter::Vector &grav, const int nf)
| Main evaluation routine.
template<class FluidInterface, class Sat>
void | computeDynamicParams (const CellIter &c, const FluidInterface &fl, const std::vector< Sat > &s)
| Evaluate dynamic (saturation dependent) properties in single cell.
template<template< typename > class SP>
void | getInverseMatrix (const CellIter &c, FullMatrix< Scalar, SP, FortranOrdering > &Binv) const
| Retrieve the dynamic (mobility updated) inverse mimetic inner product matrix for specific cell.
template<class Vector>
void | gravityFlux (const CellIter &c, Vector &gflux) const
| Compute gravity flux for all faces of single cell.
Static Public Attributes inherited from Opm::MimeticIPAnisoRelpermEvaluator< GridInterface, RockInterface >
static constexpr int | dim = GridInterface::Dimension
| The number of space dimensions.

## Detailed Description

template<class GridInterface, class RockInterface>
struct Opm::Anisotropic::InnerProduct< GridInterface, RockInterface >

The inner product template.

The documentation for this struct was generated from the following file:

- opm/porsol/common/SimulatorTraits.hpp